%{?nodejs_find_provides_and_requires}

%global packagename source-map-support

Name:		nodejs-source-map-support
Version:	0.4.18
Release:	3%{?dist}
Summary:	Fixes stack traces for files with source maps

License:	MIT
URL:		https://github.com/evanw/node-source-map-support
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	https://raw.githubusercontent.com/evanw/node-source-map-support/v%{version}/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(source-map)

%description
Fixes stack traces for files with source maps


%prep
%autosetup -n package
cp -p %{SOURCE1} .

%nodejs_fixdep source-map

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Sep 25 2017 Jared Smith <jsmith@fedoraproject.org> - 0.4.18-1
- Update to upstream 0.4.18 release

* Thu Apr 13 2017 Jared Smith <jsmith@fedoraproject.org> - 0.4.14-1
- Update to upstream 0.4.14 release

* Mon Aug  1 2016 Jared Smith <jsmith@fedoraproject.org> - 0.4.2-1
- Initial packaging
